%define dist .fc6

Name:           icon-naming-utils
Version:        0.8.1
Release:        1%{?dist}.XOS.1
Summary: 	A script to handle icon names in desktop icon themes

Group:          Development/Tools/Other
License:        GPL 
BuildArch:	noarch
URL:            http://tango-project.org/Standard_Icon_Naming_Specification
Source0:        icon-naming-utils-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl-XML-Simple
BuildRequires:  automake
Requires:       perl-XML-Simple

Patch0:		icon-naming-utils-0.6.7-paths.patch

%description
A script for creating a symlink mapping for deprecated icon names to
the new Icon Naming Specification names, for desktop icon themes.

%prep:
%setup -q
%patch0 -p1 -b .paths


%build
# the paths patch patches Makefile.am
automake
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/icon-name-mapping
%{_datadir}/icon-naming-utils
%{_datadir}/pkgconfig/icon-naming-utils.pc

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.8.1-1.fc6.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on icon-naming-utils-0.8.1-1.fc6.src.rpm
  (md5sum of original source rpm: f1b45949d12b9fdc871412a78da9f868).
- Include "dist" macro with value ".fc6" to match the original release number.

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 0.8.1-1.fc6
- Update to 0.8.1

* Thu Aug  3 2006 Matthias Clasen <mclasen@redhat.com> - 0.8.0-1.fc6
- Update to 0.8.0

* Wed Aug 02 2006 Warren Togami <wtogami@redhat.com> - 0.7.3-1
- add disttag

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 0.7.3-1
- Update to 0.7.3

* Thu Jun  8 2006 Matthias Clasen <mclasen@redhat.com> - 0.7.2-2
- Rebuild

* Tue May  9 2006 Matthias Clasen <mclasen@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Tue Apr 25 2006 Matthias Clasen <mclasen@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Mon Feb  6 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.7-1
- Update to 0.6.7

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.5-1
- Initial import
